Subject: Re: Installation de lilypond sous FC4

From: John Mandereau <[email-masked]>
Date: Sun, 13 Nov 2005 23:28:58 +0100

Le vendredi 04 novembre 2005 à 21:52 +0100, LIBON Victor a écrit : 
> Madame/Monsieur
> 
> Je suis un nouvel utilisateur de FC4.
> 
> Ayant programmé sous MsDos puis sous Windows, je suis un fervent
> défenseur de l'idée de logiciel libre.
> 
> Etant aussi musicien, je m'occupe actuellement de réduction de
> partitions (quatuor à cordes, petits ensembles, piano...) pour duo de
> guitare (baryton et alto). 
> 
> Lilypond m'est apparu comme la solution idéale.
> 
> Malheureusement je ne parviens pas à installer votre logiciel,
> j'obtiens systématiquement l'erreur:
> 
> ghostscript-devel 7.07,40
> ghostscript-gtk   7.07,40
> 
> manquants.
> 
> J'ai alors utilisé la commande rpm indiquée sur votre site:
> 
> rpmbuild --rebuild
> ftp://dl.xs4all.nl/pub/mirror/fedora/development/SRPMS/ghostscript-8.15.1
> -1.src.rpm 
> 
> suivi de:
> 
> rpm -U /usr/src/redhat/RPMS/i386/ghostscript*8.15.1*
> 
> le message suivant s'est alors affiché:
> 
>         le fichier /usr/lib/libgs.so de l'installation de
> ghostscript-8.15.1-1 entre en conflit avec le fichier du paquetage
> ghostscript-libs-7.07-41
>         le fichier /usr/lib/libijs.so de l'installation de
> ghostscript-8.15.1-1 entre en conflit avec le fichier du paquetage
> ghostscript-libs-7.07-41
> 
> Ensuite j'ai réessayé d'installer lilypond, et j'ai obtenu l'erreur
> suivante:
> 
> Paquetage non localisable         Requis par
> 
> ghostscript                       ('lilypond','2.6.4','1')
> 
> Pourriez-vous m'aider à solutionner ce problème?

Bonjour,
avez-vous d'abord essayé d'installer les paquetages
http://lilypond.org/download/binaries/Fedora-3/ghostscript-8.15rc3-0.i386.rpm
http://lilypond.org/download/binaries/Fedora-3/ghostscript-libs-7.07-41.i386.rpm
indiqués sur la page de téléchargement de LilyPond ?

Il me semble que vous avez bien installé ghostscript-libs-7.07-41,
pourquoi n'avez-vous pas installé ghostscript-8.15rc3-0 ?

Installer ces deux paquetages est la manière la plus fiable et la plus
simple pour installer LilyPond sur FC4.

L'autre méthode, indiquée au bas de la page de téléchargement, est à
n'employer que si vous êtes prêts à recompiler et réinstaller tous les
RPMs dépendant de Ghostscript tels qu'ImageMagick ou KOffice, ou alors à
bidouiller les liens symboliques des bibliothèques partagées de
Ghostscript dans /usr/lib.

Apparemment, vous avez mélangé les deux méthodes ; supprimez les rpms de
Ghostscript compilés dans /usr/src/redhat, et installez
ghostscript-8.15rc3-0.

Dans tous les cas, vous aurez peut-être besoin de faire après
l'installation une manipulation décrite sur
http://lists.gnu.org/archive/html/lilypond-user/2005-09/msg00549.html
pour que LilyPond fonctionne.

Bien cordialement
-- 
John Mandereau <[email-masked]>

---

From: John Mandereau <[email-masked]>
Date: Sun, 27 Nov 2005 15:38:05 +0100

Le vendredi 18 novembre 2005 à 17:00 +0100, LIBON Victor a écrit :
> Le dimanche 13 novembre 2005 à 23:28 +0100, John Mandereau a écrit :

> Je suis bien conscient que tous ces logiciels sont libres, et qu'aucune
> garantie ne m'est due. C'est pourquoi je vous remercie déjà d'avoir lu
> et réfléchi à mon problème.
> 
J'espère que ce n'est pas un simple problème de paquetages rpm qui va
vous empêcher d'utiliser LilyPond ! Excusez-moi du temps de réponse,
mais je n'ai pas trouvé de solution tout à fait satisfaisante.

> J'ai suivi votre conseil et j'ai été voir dans //usr/src/redhat avec
> konquerorsu. J'ai pris soins d'afficher les fichiers cachés.
> 
> Là, j'ai trouvé les dossiers suivants:
> 
> 	BUILD       (vide)
> 	RPMS/athlon (vide)
> 	RPMS/i386   (vide)
> 	RPMS/i486   (vide)
> 	RPMS/i586   (vide)
> 	RPMS/i686   (vide)
> 	RPMS/noarch (vide)
> 	SOURCES     (vide)
> 	SPECS       (vide)
> 	SRPMS       (vide)

Ceci indique qu'aucun rpm n'a été compilé sous root (ou alors que tout a
été nettoyé...).

> J'ai pris le risque de faire:
> 
> 	rpm -e ghostscript-libs
> 
> Je n'ai pas obtenu de message d'erreur.
> 
Ce n'est normalement pas nécessaire : l'installation d'un rpm écrase les
installations précédentes.

> Après, j'ai installé les bibliothèques de compatibilité depuis le site
> http://lilypond.org/web/install/ et je n'ai toujours pas eu de message
> d'erreur. Enfin j'ai essayé de télécharger ghostscript depuis le même
> site, et j'ai obtenu l'erreur habituelle:
> 
> 	Paquetage non localisable: ghostscript
> 	requis par		 : ghostscript-devel 7.07 41
> 				 : ghostscript-gtk 7.07 41
> 
> Ensuite, up2date m'a automatiquement réinstallé ghostscript,
> ghostscript-devel, et ghostscript-gtk en version 7.07. Après cela j'ai
> tout de même revisité le site lilypond, mais sans aucune amélioration.
> 
Le problème vient peut-être de up2date justement. Il faut éviter de
l'utiliser, car il est très lent et bientôt obsolète. Utilisez plutôt
Yum, avec éventuellement Yum Extender pour avoir une interface
graphique : leur installation et leur utilisation sont décrites en
détail dans les tutoriaux sur http://fedora-france.org (allez sur
http://fedorafrance.tuxfamily.org en attendant que le serveur principal
soit mis à jour...).

Au fait, quel est le processeur de votre ordinateur ? Cela peut avoir
une importance.

Si vous voulez prendre des risques (minimes, car Ghostscript n'est pas
un programme crucial du système), vous pouvez installer les 2 RPMs de
Ghostscript sur lilypond.org (bibliothèques _puis_ ghostcript8.15-rc3)
en utilisant l'option --nodeps :

rpm -ivh --nodeps <paquet>.rpm

Le seul risque est en fait que certains programmes utilisant Ghostscript
risquent de moins bien fonctionner, en particulier ImageMagick
(convertisseur/manipulateur d'images en ligne de commande) ou KOffice.

> Enfin, j'ai recherché où on trouvait une présence de ghostscript, et
> j'ai trouvé:
>    - le fichier:
> 	//usr/bin/ghostscript
> 
et avez-vous /usr/bin/gs ?